import { ChartColor } from './chart-color';
import { ChartTooltipItem } from './chart-tooltip-item';
import { ChartTooltipModelElement } from './chart-tooltip-model-element';
export interface ChartTooltipModel {
    dataPoints: ChartTooltipItem[];
    xPadding: number;
    yPadding: number;
    xAlign: string;
    yAlign: string;
    x: number;
    y: number;
    width: number;
    height: number;
    caretX: number;
    caretY: number;
    /**
     * The body lines that need to be rendered
     * Each object contains 3 parameters
     * * before: string[] -- lines of text before the line with the color square
     * * lines: string[]; -- lines of text to render as the main item with color square
     * * after: string[]; -- lines of text to render after the main lines
     */
    body: ChartTooltipModelElement[];
    beforeBody: string[];
    afterBody: string[];
    bodyFontColor: ChartColor;
    _bodyFontFamily: string;
    _bodyFontStyle: string;
    _bodyAlign: string;
    bodyFontSize: number;
    bodySpacing: number;
    title: string[];
    titleFontColor: ChartColor;
    _titleFontFamily: string;
    _titleFontStyle: string;
    titleFontSize: number;
    _titleAlign: string;
    titleSpacing: number;
    titleMarginBottom: number;
    footer: string[];
    footerFontColor: ChartColor;
    _footerFontFamily: string;
    _footerFontStyle: string;
    footerFontSize: number;
    _footerAlign: string;
    footerSpacing: number;
    footerMarginTop: number;
    caretSize: number;
    caretPadding: number;
    cornerRadius: number;
    backgroundColor: ChartColor;
    labelColors: ChartColor[];
    labelTextColors: ChartColor[];
    opacity: number;
    legendColorBackground: ChartColor;
    displayColors: boolean;
    borderColor: ChartColor;
    borderWidth: number;
}
