import { ChartData } from './chart-data';
import { BaseChartMetaConfig } from './base-chart-meta-config';
import { ChartColor } from './chart-color';
import { ChartTooltipItem } from './chart-tooltip-item';
import { ChartTooltipCallback } from './chart-tooltip-callback';
import { PositionMode } from './position-mode';
import { InteractionMode } from './interaction-mode';
import { ChartTooltipModel } from './chart-tooltip-model';
export interface ChartTooltipOptions<T extends BaseChartMetaConfig> {
    enabled?: boolean;
    custom?: (tooltipModel: ChartTooltipModel) => void;
    mode?: InteractionMode;
    intersect?: boolean;
    position?: PositionMode;
    callbacks?: ChartTooltipCallback<T>;
    itemSort?: (itemA: ChartTooltipItem, itemB: ChartTooltipItem) => number;
    filter?: (item: ChartTooltipItem, data: ChartData<T>) => boolean;
    backgroundColor?: ChartColor;
    titleFontFamily?: string;
    titleFontSize?: number;
    titleFontStyle?: string;
    titleFontColor?: ChartColor;
    titleSpacing?: number;
    titleMarginBottom?: number;
    bodyFontFamily?: string;
    bodyFontSize?: number;
    bodyFontStyle?: string;
    bodyFontColor?: ChartColor;
    bodySpacing?: number;
    footerFontFamily?: string;
    footerFontSize?: number;
    footerFontStyle?: string;
    footerFontColor?: ChartColor;
    footerSpacing?: number;
    footerMarginTop?: number;
    xPadding?: number;
    yPadding?: number;
    caretPadding?: number;
    caretSize?: number;
    cornerRadius?: number;
    multiKeyBackground?: string;
    displayColors?: boolean;
    borderColor?: ChartColor;
    borderWidth?: number;
}
